net.i2p.router.web.helpers

## Class ConfigLoggingHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ConfigLoggingHelper

-     public class ConfigLoggingHelper
      extends HelperBase

  Helper for logging configuration page rendering and form processing.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigLoggingHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDatePattern()`
    `String` | `getDefaultLogLevelBox()`
    `String` | `getLogCompress()`
    `String` | `getLogFilePattern()`
    `String` | `getLogLevelTable()`
    `String` | `getMaxFileSize()`
    `String` | `getNewClassBox()` All the classes the log manager knows about, except ones that already have overrides
    `String` | `getRecordPattern()`
    `void` | `setContextId(String contextId)` Configure this bean to query a particular router context.

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigLoggingHelper

          public ConfigLoggingHelper()

  - ### Method Detail

    - #### getDatePattern

          public String getDatePattern()

    - #### getDefaultLogLevelBox

          public String getDefaultLogLevelBox()

    - #### getLogCompress

          public String getLogCompress()

    - #### getLogFilePattern

          public String getLogFilePattern()

    - #### getLogLevelTable

          public String getLogLevelTable()

    - #### getMaxFileSize

          public String getMaxFileSize()

    - #### getNewClassBox

          public String getNewClassBox()

      All the classes the log manager knows about, except ones that already have overrides

    - #### getRecordPattern

          public String getRecordPattern()

    - #### setContextId

          public void setContextId(String contextId)

      Description copied from class: `HelperBase`
      Configure this bean to query a particular router context.
      Overrides:
        `setContextId` in class `HelperBase`
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.